#ClassMod by [JDRS] Bart.
import es, playerlib, popuplib, usermsg, gamethread, weaponlib, keyvalues, cmdlib

info = es.AddonInfo()
info.name = "classmod"
info.version = "1.0.0"
info.author = "[JDRS] Bart"
info.description = "JDRS Class Mod"
info.basename = "classmod"

def load():
	global ClassMenuCT, ClassMenuT
	global LoadoutMenu, PrimaryMenu, SecondaryMenu, EquipmentMenu, PerkMenu, SkinsMenu
	global SidearmMenu, ShotgunMenu, SmgMenu, ArMenu, LmgMenu, SrMenu
	global objPlayer, playername
	
	public = es.ServerVar('classmod', info.name, info.version)
	public.makepublic()
	
	es.msg('#multi', '#green[ClassMod] #defaultLoaded')
	es.doblock('classmod/registercommands')
	es.doblock('classmod/createmenus')
	if es.exists('keygroup', 'classmod_players'):
		es.keygroupload('classmod_players')
	else:
		es.keygroupcreate('classmod_players')
def unload():
	es.keygroupsave('classmod_players')
	es.keygroupdelete('classmod_players')
	es.unregsaycmd('loadout')
	es.unregsaycmd('switch')
	es.unregclientcmd('cm_loadout')
	es.unregclientcmd('cm_switch')
def registercommands():	
	if not es.exists('saycommand', 'loadout'):
		es.regsaycmd('loadout', 'classmod/loadout')
	if not es.exists('saycommand', 'switch'):
		es.regsaycmd('switch', 'classmod/switch')
	if not es.exists('clientcmd', 'cm_loadout'):
		es.regclientcmd('cm_loadout', 'classmod/loadout', 'Opens loadout menu')
	if not es.exists('clientcmd', 'cm_switch'):
		es.regclientcmd('cm_switch', 'classmod/switch', 'Cycles between primary weapons')
	
def createmenus():
	global ClassMenuCT
	ClassMenuCT = popuplib.create('Popup_Classes_CT')
	ClassMenuCT.addline('Select Your Class')
	ClassMenuCT.addline('->1. CQB Specialist')
	ClassMenuCT.addline('->2. Light Assault')
	ClassMenuCT.addline('->3. Heavy Gunner')
	ClassMenuCT.addline('->4. Recon Sniper')
	ClassMenuCT.addline('->5. Customize My Loadout')
	ClassMenuCT.addline('->6. Save My Loadout')
	ClassMenuCT.addline('0 Exit')
	ClassMenuCT.timeout('view', 20)
	ClassMenuCT.menuselect = CTclass
	
	global SaveLoadoutMenu
	SaveLoadoutMenu = popuplib.create('Popup_SaveLoadout')
	SaveLoadoutMenu.addline('Save Loadout As:')
	SaveLoadoutMenu.addline('->1. CQB Specialist')
	SaveLoadoutMenu.addline('->2. Light Assault')
	SaveLoadoutMenu.addline('->3. Heavy Gunner')
	SaveLoadoutMenu.addline('->4. Recon Sniper')
	SaveLoadoutMenu.addline('0 Exit')
	SaveLoadoutMenu.timeout('view', 20)
	SaveLoadoutMenu.menuselect = SaveLoadout
	
	global LoadoutMenu
	LoadoutMenu = popuplib.create('Popup_Loadout')
	LoadoutMenu.addline('Change Loadout')
	LoadoutMenu.addline('->1. Select Sidearm')
	LoadoutMenu.addline('->2. Select Primary Weapon')
	LoadoutMenu.addline('->3. Select Secondary Weapon')
	LoadoutMenu.addline('->4. Select Equipment')
	LoadoutMenu.addline('->9. Back')
	LoadoutMenu.addline('0 Exit')
	LoadoutMenu.timeout('view', 10)
	LoadoutMenu.menuselect = Loadouts
	
	global SidearmMenu
	SidearmMenu = popuplib.create('SidearmMenu')
	SidearmMenu.addline('Select Sidearm')
	SidearmMenu.addline('->1. Glock')
	SidearmMenu.addline('->2. USP')
	SidearmMenu.addline('->3. P228')
	SidearmMenu.addline('->4. Deagle')
	SidearmMenu.addline('->5. FiveSeven')
	SidearmMenu.addline('->6. Elite')
	SidearmMenu.addline('->9. Back')
	SidearmMenu.addline('0 Exit')
	SidearmMenu.timeout('view', 10)
	SidearmMenu.menuselect = Sidearm
	
	global PrimaryMenu
	PrimaryMenu = popuplib.create('PrimaryMenu')
	PrimaryMenu.addline('Select Primary')
	PrimaryMenu.addline('->1. Shotgun')
	PrimaryMenu.addline('->2. Sub Machine Gun')
	PrimaryMenu.addline('->3. Assault Rifle')
	PrimaryMenu.addline('->4. Light Machine Gun')
	PrimaryMenu.addline('->5. Sniper Rifle')
	PrimaryMenu.addline('->9. Back')
	PrimaryMenu.addline('0 Exit')
	PrimaryMenu.timeout('view', 10)
	PrimaryMenu.menuselect = Primary
	
	global SecondaryMenu
	SecondaryMenu = popuplib.create('SecondaryMenu')
	SecondaryMenu.addline('Select Secondary')
	SecondaryMenu.addline('->1. Shotgun')
	SecondaryMenu.addline('->2. Sub Machine Gun')
	SecondaryMenu.addline('->3. Assault Rifle')
	SecondaryMenu.addline('->4. Light Machine Gun')
	SecondaryMenu.addline('->5. Sniper Rifle')
	SecondaryMenu.addline('->9. Back')
	SecondaryMenu.addline('0 Exit')
	SecondaryMenu.timeout('view', 10)
	SecondaryMenu.menuselect = Secondary
	
	global EquipmentMenu
	EquipmentMenu= popuplib.create('EquipmentMenu')
	EquipmentMenu.addline('Select Equipment')
	EquipmentMenu.addline('->1. Kevlar Vest')
	EquipmentMenu.addline('->2. Kevlar Vest & Helmet')
	EquipmentMenu.addline('->3. HE Grenade')
	EquipmentMenu.addline('->4. Night Vision')
	EquipmentMenu.addline('->9. Back')
	EquipmentMenu.addline('0 Exit')
	EquipmentMenu.timeout('view', 10)
	EquipmentMenu.menuselect = Equipment
	
	global ShotgunMenu
	ShotgunMenu = popuplib.create('ShotgunMenu')
	ShotgunMenu.addline('Select Shotgun')
	ShotgunMenu.addline('->1. M3')
	ShotgunMenu.addline('->2. XM1014')
	ShotgunMenu.addline('->9. Back')
	ShotgunMenu.addline('0 Exit')
	ShotgunMenu.timeout('view', 10)
	ShotgunMenu.menuselect = Shotgun
	
	global SmgMenu
	SmgMenu = popuplib.create('SmgMenu')
	SmgMenu.addline('Select SMG')
	SmgMenu.addline('->1. TMP')
	SmgMenu.addline('->2. MAC10')
	SmgMenu.addline('->3. MP5')
	SmgMenu.addline('->4. UMP45')
	SmgMenu.addline('->5. P90')
	SmgMenu.addline('->9. Back')
	SmgMenu.addline('0 Exit')
	SmgMenu.timeout('view', 10)
	SmgMenu.menuselect = Smg
	
	global ArMenu
	ArMenu = popuplib.create('ArMenu')
	ArMenu.addline('Select Assault Rifle')
	ArMenu.addline('->1. Galil')
	ArMenu.addline('->2. Famas')
	ArMenu.addline('->3. AK47')
	ArMenu.addline('->4. M4A1')
	ArMenu.addline('->5. SG552')
	ArMenu.addline('->6. AUG')
	ArMenu.addline('->9. Back')
	ArMenu.addline('0 Exit')
	ArMenu.timeout('view', 10)
	ArMenu.menuselect = Ar
	
	global LmgMenu
	LmgMenu = popuplib.create('LmgMenu')
	LmgMenu.addline('Select Light Machine Gun')
	LmgMenu.addline('->1. M249')
	LmgMenu.addline('->9. Back')
	LmgMenu.addline('0 Exit')
	LmgMenu.timeout('view', 10)
	LmgMenu.menuselect = Lmg
	
	global SrMenu
	SrMenu = popuplib.create('SrMenu')
	SrMenu.addline('Select Sniper Rifle')
	SrMenu.addline('->1. Scout')
	SrMenu.addline('->2. SG550')
	SrMenu.addline('->3. AWP')
	SrMenu.addline('->4. G3SG1')
	SrMenu.addline('->9. Back')
	SrMenu.addline('0 Exit')
	SrMenu.timeout('view', 10)
	SrMenu.menuselect = Sr
def es_map_start(event_var):
	es.msg('#green', 'Classmod by [JDRS] Bart')
	thismap = (event_var['mapname'])
	es.keysetvalue('classmod_players', 'ServerVars', 'currentmap', thismap)
	es.keygroupsave('classmod_players')
def player_spawn(event_var):
	userid = (event_var['userid'])
	mysteamid = (event_var['es_steamid'])
	if not popuplib.isqueued('PopupClasses_CT', userid):
		ClassMenuCT.send(userid)
		
def loadout():
	userid = es.getcmduserid()
	load = es.getargv(1)
	myplayer = playerlib.getPlayer(userid)
	mysteamid = es.getplayersteamid(userid)
	if load == '1':
		EquipClass1(userid, myplayer, mysteamid)
	elif load == '2':
		EquipClass2(userid, myplayer, mysteamid)
	elif load == '3':
		EquipClass3(userid, myplayer, mysteamid)
	elif load == '4':
		EquipClass4(userid, myplayer, mysteamid)
	elif load == 'modify':
		LoadoutMenu.send(userid)
	elif load == 'save':
		SaveLoadoutMenu.send(userid)
	else:
		ClassMenuCT.send(userid)
		
def CTclass(userid, choice, popupid):
	myplayer = playerlib.getPlayer(userid)
	playername = myplayer.name
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = keyvalues.getKeyGroup('classmod_players')
	if myplayer.primary:
		myprimary = myplayer.primary
	if myplayer.secondary:
		mysecondary = myplayer.secondary
	if not es.exists('key', 'classmod_players', mysteamid):
		es.keycreate('classmod_players', mysteamid)
	if choice == 1:
		EquipClass1(userid, myplayer, mysteamid)
	elif choice == 2:
		EquipClass2(userid, myplayer, mysteamid)
	elif choice == 3:
		EquipClass3(userid, myplayer, mysteamid)
	elif choice == 4:
		EquipClass4(userid, myplayer, mysteamid)
	elif choice == 5:
		LoadoutMenu.send(userid)
	elif choice == 6:
		SaveLoadoutMenu.send(userid)
	elif choice == 0:
		popuplib.close('ClassMenuCT')
		
def EquipClass1(userid, myplayer, mysteamid):
	if myplayer.secondary:
		mysecondary = myplayer.secondary
		removeweapon(userid, mysecondary)
	if myplayer.primary:
		myprimary = myplayer.primary
		removeweapon(userid, myprimary)
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class1secondary'):
		customsecondary = es.keygetvalue('classmod_players', mysteamid, 'class1secondary')
		es.keysetvalue('classmod_players', mysteamid, 'secondary', customsecondary)
	else:
		es.keysetvalue('classmod_players', mysteamid, 'secondary', 'weapon_xm1014')
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class1primary'):
		customprimary = es.keygetvalue('classmod_players', mysteamid, 'class1primary')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customprimary)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_tmp' % userid))
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class1sidearm'):
		customsidearm = es.keygetvalue('classmod_players', mysteamid, 'class1sidearm')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customsidearm)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_elite' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_hegrenade' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_vesthelm' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_nvgs' % userid))
def EquipClass2(userid, myplayer, mysteamid):
	if myplayer.secondary:
		mysecondary = myplayer.secondary
		removeweapon(userid, mysecondary)
	if myplayer.primary:
		myprimary = myplayer.primary
		removeweapon(userid, myprimary)
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class2secondary'):
		customsecondary = es.keygetvalue('classmod_players', mysteamid, 'class2secondary')
		es.keysetvalue('classmod_players', mysteamid, 'secondary', customsecondary)
	else:
		es.keysetvalue('classmod_players', mysteamid, 'secondary', 'weapon_ump45')
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class2primary'):
		customprimary = es.keygetvalue('classmod_players', mysteamid, 'class2primary')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customprimary)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_aug' % userid))
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class2sidearm'):
		customsidearm = es.keygetvalue('classmod_players', mysteamid, 'class2sidearm')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customsidearm)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_usp' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_hegrenade' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_vesthelm' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_nvgs' % userid))
def EquipClass3(userid, myplayer, mysteamid):
	if myplayer.secondary:
		mysecondary = myplayer.secondary
		removeweapon(userid, mysecondary)
	if myplayer.primary:
		myprimary = myplayer.primary
		removeweapon(userid, myprimary)
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class3secondary'):
		customsecondary = es.keygetvalue('classmod_players', mysteamid, 'class3secondary')
		es.keysetvalue('classmod_players', mysteamid, 'secondary', customsecondary)
	else:
		es.keysetvalue('classmod_players', mysteamid, 'secondary', 'weapon_mp5navy')
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class3primary'):
		customprimary = es.keygetvalue('classmod_players', mysteamid, 'class3primary')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customprimary)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_m249' % userid))
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class3sidearm'):
		customsidearm = es.keygetvalue('classmod_players', mysteamid, 'class3sidearm')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customsidearm)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_deagle' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_hegrenade' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_vesthelm' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_nvgs' % userid))
def EquipClass4(userid, myplayer, mysteamid):
	if myplayer.secondary:
		mysecondary = myplayer.secondary
		removeweapon(userid, mysecondary)
	if myplayer.primary:
		myprimary = myplayer.primary
		removeweapon(userid, myprimary)
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class4secondary'):
		customsecondary = es.keygetvalue('classmod_players', mysteamid, 'class4secondary')
		es.keysetvalue('classmod_players', mysteamid, 'secondary', customsecondary)
	else:
		es.keysetvalue('classmod_players', mysteamid, 'secondary', 'weapon_m3')
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class4primary'):
		customprimary = es.keygetvalue('classmod_players', mysteamid, 'class4primary')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customprimary)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_awp' % userid))
	if es.exists ('keyvalue', 'classmod_players', mysteamid, 'class4sidearm'):
		customsidearm = es.keygetvalue('classmod_players', mysteamid, 'class4sidearm')
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s %s' % (userid, customsidearm)))
	else:
		gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_elite' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s weapon_hegrenade' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_vesthelm' % userid))
	gamethread.delayed(0.25, es.server.queuecmd,('es_give %s item_nvgs' % userid))
		
def SaveLoadout(userid, choice, popupid):
	myplayer = playerlib.getPlayer(userid)
	playername = myplayer.name
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = keyvalues.getKeyGroup('classmod_players')
	myprimary = myplayer.primary
	mysidearm = myplayer.secondary
	if not choice == 0:
		es.keysetvalue('classmod_players', mysteamid, 'class' + str(choice) + 'primary', myprimary)
		es.keysetvalue('classmod_players', mysteamid, 'class' + str(choice) + 'sidearm', mysidearm)
		if es.exists('keyvalue', 'classmod_players', mysteamid, 'secondary'):
			mysecondary = es.keygetvalue('classmod_players', mysteamid, 'secondary')
			es.keysetvalue('classmod_players', mysteamid, 'class' + str(choice) + 'secondary', mysecondary)
		es.keygroupsave('classmod_players')
	else:
		popuplib.close('SaveLoadoutMenu')
def Loadouts(userid, choice, popupid):
	if choice == 1:
		SidearmMenu.send(userid)
	elif choice == 2:
		PrimaryMenu.send(userid)
	elif choice == 3:
		SecondaryMenu.send(userid)
	elif choice == 4:
		EquipmentMenu.send(userid)
	elif choice == 9:
		ClassMenuCT.send(userid)
	elif choice == 0:
		popuplib.close('ClassMenuCT')
def Sidearm(userid, choice, popupid):
	if choice == 1:
		GiveLoadout(userid, 'weapon_glock', 'Sidearm')
	elif choice == 2:
		GiveLoadout(userid, 'weapon_usp', 'Sidearm')
	elif choice == 3:
		GiveLoadout(userid, 'weapon_p228', 'Sidearm')
	elif choice == 4:
		GiveLoadout(userid, 'weapon_deagle', 'Sidearm')
	elif choice == 5:
		GiveLoadout(userid, 'weapon_fiveseven', 'Sidearm')
	elif choice == 6:
		GiveLoadout(userid, 'weapon_elite', 'Sidearm')
	elif choice == 9:
		LoadoutMenu.send(userid)
	elif choice == 0:
		popuplib.close ('SidearmMenu', userid)					
		LoadoutMenu.send(userid)
def Primary(userid, choice, popupid):
	mysteamid = es.getplayersteamid(userid)
	if choice == 1:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Primary')
		ShotgunMenu.send(userid)
	elif choice == 2:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Primary')
		SmgMenu.send(userid)
	elif choice == 3:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Primary')
		ArMenu.send(userid)
	elif choice == 4:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Primary')
		LmgMenu.send(userid)
	elif choice == 5:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Primary')
		SrMenu.send(userid)
	elif choice == 9:
		LoadoutMenu.send(userid)
	elif choice == 0:
		popuplib.close('PrimaryMenu', userid)
def Secondary(userid, choice, popupid):	
	mysteamid = es.getplayersteamid(userid)
	if choice == 1:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Secondary')
		ShotgunMenu.send(userid)
	elif choice == 2:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Secondary')
		SmgMenu.send(userid)
	elif choice == 3:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Secondary')
		ArMenu.send(userid)
	elif choice == 4:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Secondary')
		LmgMenu.send(userid)
	elif choice == 5:
		es.keysetvalue('classmod_players', mysteamid, 'prisec', 'Secondary')
		SrMenu.send(userid)
	elif choice == 0:
		popuplib.close('SecondaryMenu', userid)
def Shotgun(userid, choice, popupid):
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = 'classmod_players'
	myprisec = es.keygetvalue('classmod_players', mysteamid, 'prisec')
	if choice == 1:
		GiveLoadout(userid, 'weapon_m3', myprisec)
	elif choice == 2:
		GiveLoadout(userid, 'weapon_xm1014', myprisec)
	elif choice == 9:
		if myprisec == 'Primary':
			PrimaryMenu.send(userid)
		elif myprisec == 'Secondary':
			SecondaryMenu.send(userid)
	elif choice == 0:
		popuplib.close ('ShotgunMenu', userid)
def Smg(userid, choice, popupid):
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = 'classmod_players'
	myprisec = es.keygetvalue('classmod_players', mysteamid, 'prisec')
	if choice == 1:
		GiveLoadout(userid, 'weapon_tmp', myprisec)
	elif choice == 2:
		GiveLoadout(userid, 'weapon_mac10', myprisec)
	elif choice == 3:
		GiveLoadout(userid, 'weapon_mp5navy', myprisec)
	elif choice == 4:
		GiveLoadout(userid, 'weapon_ump45', myprisec)
	elif choice == 5:
		GiveLoadout(userid, 'weapon_p90', myprisec)
	elif choice == 9:
		if myprisec == 'Primary':
			PrimaryMenu.send(userid)
		elif myprisec == 'Secondary':
			SecondaryMenu.send(userid)
	elif choice == 0:
		popuplib.close ('SmgMenu', userid)
def Ar(userid, choice, popupid):
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = 'classmod_players'
	myprisec = es.keygetvalue('classmod_players', mysteamid, 'prisec')
	if choice == 1:
		GiveLoadout(userid, 'weapon_galil', myprisec)
	elif choice == 2:
		GiveLoadout(userid, 'weapon_famas', myprisec)
	elif choice == 3:
		GiveLoadout(userid, 'weapon_ak47', myprisec)
	elif choice == 4:
		GiveLoadout(userid, 'weapon_m4a1', myprisec)
	elif choice == 5:
		GiveLoadout(userid, 'weapon_sg552', myprisec)
	elif choice == 6:
		GiveLoadout(userid, 'weapon_aug', myprisec)
	elif choice == 9:
		if myprisec == 'Primary':
			PrimaryMenu.send(userid)
		elif myprisec == 'Secondary':
			SecondaryMenu.send(userid)
	elif choice == 0:
		popuplib.close ('ArMenu', userid)
def Lmg(userid, choice, popupid):
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = 'classmod_players'
	myprisec = es.keygetvalue('classmod_players', mysteamid, 'prisec')
	if choice == 1:
		GiveLoadout(userid, 'weapon_m249', myprisec)
	elif choice == 9:
		if myprisec == 'Primary':
			PrimaryMenu.send(userid)
		elif myprisec == 'Secondary':
			SecondaryMenu.send(userid)
	elif choice == 0:
		popuplib.close ('LmgMenu', userid)
def Sr(userid, choice, popupid):
	mysteamid = es.getplayersteamid(userid)
	mykeygroup = 'classmod_players'
	myprisec = es.keygetvalue('classmod_players', mysteamid, 'prisec')
	if choice == 1:
		GiveLoadout(userid, 'weapon_scout', myprisec)
	elif choice == 2:
		GiveLoadout(userid, 'weapon_sg550', myprisec)
	elif choice == 3:
		GiveLoadout(userid, 'weapon_awp', myprisec)
	elif choice == 4:
		GiveLoadout(userid, 'weapon_g3sg1', myprisec)
	elif choice == 9:
		if myprisec == 'Primary':
			PrimaryMenu.send(userid)
		elif myprisec == 'Secondary':
			SecondaryMenu.send(userid)
	elif choice == 0:
		popuplib.close ('SrMenu', userid)
def Equipment(userid, choice, popupid):
	if choice == 1:
		GiveLoadout(userid, 'item_vest', 'Equipment')
	elif choice == 2:
		GiveLoadout(userid, 'item_vesthelm', 'Equipment')
	elif choice == 3:
		GiveLoadout(userid, 'weapon_hegrenade', 'Equipment')
	elif choice == 4:
		GiveLoadout(userid, 'item_nvgs', 'Equipment')
	elif choice == 9:
		LoadoutMenu.send(userid)
	elif choice == 0:
		popuplib.close ('EquipmentMenu', userid)

def GiveLoadout(userid, item, popupid):
	mykeygroup = 'classmod_players'
	mysteamid = es.getplayersteamid(userid)
	myplayer = playerlib.getPlayer(userid)
	myprimary = myplayer.primary
	mysecondary = myplayer.secondary
	if popupid == 'Sidearm':
		if mysecondary:
			removeweapon(userid, mysecondary)
		gamethread.delayed(0.25, es.server.queuecmd('es_give %s %s' % (userid, item)))
	elif popupid == 'Primary':
		if myprimary:
			removeweapon(userid, myprimary)
		gamethread.delayed(0.25, es.server.queuecmd('es_give %s %s' % (userid, item)))		
	elif popupid == 'Equipment':
		gamethread.delayed(0.25, es.server.queuecmd('es_give %s %s' % (userid, item)))
	elif popupid == 'Secondary':
		es.keysetvalue('classmod_players', mysteamid, 'secondary', item)
		es.centertell(userid, "Your weapon has been issued. Say 'switch' to equip it.")
		es.keygroupsave('classmod_players')
		
def switch():
	mykeygroup = 'classmod_players'
	userid = es.getcmduserid()
	mysteamid = es.getplayersteamid(userid)
	myplayer = playerlib.getPlayer(userid)
	playername = myplayer.name
	storeweapon = myplayer.primary
	storeclip = myplayer.get('clip', 'primary')
	equipweaponname = es.keygetvalue('classmod_players', mysteamid, 'secondary')
	equipclip = (es.keygetvalue('classmod_players', mysteamid, 'secondaryclip'))
	es.msg('Storing clip with ' + str(storeclip) + ' rounds')
	es.keysetvalue('classmod_players', mysteamid, 'secondary', storeweapon)
	es.keysetvalue('classmod_players', mysteamid, 'secondaryclip', str(storeclip))
	removeweapon(userid, storeweapon)
	gamethread.delayed(0.25, es.server.queuecmd('es_give %s %s' % (userid, equipweaponname)))
	gamethread.delayed(0.25, clip, (userid, equipclip))

def clip(userid, clip):
	myplayer = playerlib.getPlayer(userid)
	weapon = myplayer.weapon
	myplayer.setClip(weapon, clip)
	
def removeweapon(userid, myweapon):
	handle = es.getplayerhandle(userid)
	listweapons = weaponlib.getWeapon(myweapon)
	
	for index in listweapons.indexlist:
		if es.getindexprop(index, 'CBaseEntity.m_hOwnerEntity') == handle:
			es.server.cmd('es_remove %s' % index)
